Skip to content

Delete Fine Tune

DELETE
/finetuning/{FineTuneID}/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/finetuning/{FineTuneID}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
FineTuneID
required
integer

FineTune id

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Successful response with finetuning job details.

Media typeapplication/json
object
code

HTTP status code.

integer
data
object
id

Job ID.

integer
name

Name of the finetuning job.

string
model_name

Name of the model being fine-tuned.

string
training_inputs

Configuration details of the training job.

object
dataset

The dataset used for finetuning.

string
epochs

Number of training epochs.

integer
learning_rate

The learning rate for training.

number format: float
validation_prompt

A prompt used for validation.

string
num_validation_images

Number of images used for validation.

integer
mixed_precision

The precision level used during training.

string
run

Details of the run state.

object
id

Run ID.

integer
state

Current state of the job.

string
progress

Progress of the run.

string
status

Overall status of the job.

string
created_by

Creator information.

object
name

Name of the creator.

string
email

Email of the creator.

string
sku_item_price

Pricing information for the job.

object
unit_price

Price per unit time (e.g., hourly).

number format: float
currency

Currency code.

string
errors

Errors encountered, if any.

object
message

A message indicating the status of the operation.

string

Example

{
"code": 200,
"data": {
"id": 810,
"name": "tir-finetuning-111511093030",
"model_name": "stabilityai/stable-diffusion-2-1",
"training_inputs": {
"dataset": "lambdalabs/naruto-blip-captions",
"epochs": 3,
"learning_rate": 0.0000141,
"validation_prompt": "A photo of a man with green eyes",
"num_validation_images": 2,
"mixed_precision": "no"
},
"run": {
"id": 2444,
"state": "Terminating",
"progress": "0/1"
},
"status": "Deleting",
"created_by": {
"name": "Nipun",
"email": "nipun.arora@e2enetworks.com"
},
"sku_item_price": {
"unit_price": 470.4,
"currency": "INR"
}
},
"errors": {},
"message": "Success"
}